Metasploit渗透测试论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

安络长矛深度安全检测系统
Metascan metasploit pro
查看: 906|回复: 1

使用kali中的msf测试oracle注入攻击模块时报oci8错,如何解决?

[复制链接]

1

主题

0

好友

79

积分

正式会员

Rank: 2

发表于 2017-2-10 19:30:20 |显示全部楼层
使用kali中的msf测试oracle注入攻击模块时报oci8错
7 `# X) I/ y& T  ]" i- t6 i& X
7 ^1 D0 C( S* h7 w& S; j( p1.根据网上的教程,把oracle client的三个basic、devel、sqlplus解压到一个目录下,如/opt/oracle/:然后设置环境变量,SQLPLUS可用;$ e6 H  P! d7 M% r
2. 安装gem install tuby-oci8-2.2.3.gem ,提示安装成功,使用irb也正常
. l" @0 @# ]5 I; t0 r3 \: J( N; B. ^8 r, a2 |; m
3.msfconsole ,使用use auxiliary/sqli/oracle/jvm_os_code_11g;设置参数后,执行run报错:( q* d9 \! b/ G5 a
依旧提示:cannot load such file --oci8$ R; h0 j' m" n$ ]% h4 Q; S
! }# {% H) q: y+ d
是不是需要在msf中添加oci8的安装目录,这个如何添加?请高手帮帮忙。。。
+ z, G: i/ f8 t: Q: e+ o

如文中未特别声明转载请注明出自:http://www.metasploit.cn/

1

主题

0

好友

79

积分

正式会员

Rank: 2

发表于 2017-4-7 18:16:23 |显示全部楼层
问题已经解决:问题出现在ruby的安装包上,下载源码安装,ruby-oci8-ruby-oci8-2.2.3.tar.gz  通过tar解压后进入目录下:
& K! w6 I/ ~& vruby setup.rb config
; I1 u" A4 h, m: fruby setup.rb setup
* e% h" I$ L2 U9 {+ R  iruby setup.rb install- x4 n$ v6 h" `, Z/ a5 ?4 Q9 _
使用此方法安装ruby-oci8成功。
*滑动验证:
您需要登录后才可以回帖 登录 | 立即注册

QQ|Archiver|手机版|Metasploit ( 粤ICP备15008156号-1 )

GMT+8, 2017-5-27 18:00 , Processed in 0.284457 second(s), 30 queries .

Powered by Discuz! X2.5

© 2001-2012 Comsenz Inc.

回顶部